%define real_name ndiswrapper

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Kernel module to allow the use of NDIS drivers 
Name: 		dkms-ndiswrapper
Version: 	1.55
Release: 	2
License: 	GPL
Group: 		System/Kernel
URL: 		http://ndiswrapper.sourceforge.net/
Source: 	http://downloads.sf.net/ndiswrapper/ndiswrapper-%{version}.tar.gz
Patch0:		ndiswrapper-2.6.31.patch
ExclusiveArch: 	i686 x86_64
Requires: 	gcc make
Requires(post): dkms
Requires(preun): dkms
Provides: 	ndiswrapper = %{version}-%{release}
Provides: 	kmod-ndiswrapper = %{version}-%{release}

%description
This kernel module implements the Microsoft NDIS (Network Driver Interface
Specification) API within the linux kernel.  It allows the use of binary
drivers written to this specification to be run natively in the Linux kernel.

%prep
%setup -n %{real_name}-%{version}
%patch0

%build
%{__make} -C utils CFLAGS="%{optflags} -I../driver"

%install
%{__rm} -rf %{buildroot}
%{__make} -C utils install DESTDIR="%{buildroot}"
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/ndiswrapper
%{__install} -Dp -m0644 ndiswrapper.8 %{buildroot}%{_mandir}/man8/ndiswrapper.8

%define dkms_name ndiswrapper
%define dkms_vers %{version}-%{release}
%define quiet -q

# Kernel module sources install for dkms
%{__mkdir_p} %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%{__cp} -a driver/* %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
%{__cat} > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="make KERNEL_LOCATION=${kernel_source_dir}"
CLEAN[0]="make clean"
BUILT_MODULE_NAME[0]=ndiswrapper
DEST_MODULE_LOCATION[0]=/kernel/drivers/net/wireless/ndiswrapper
AUTOINSTALL="YES"
EOF

%clean
%{__rm} -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog INSTALL README
%doc %{_mandir}/man8/ndiswrapper.8*
%dir %{_sysconfdir}/ndiswrapper/
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
/sbin/loadndisdriver
%{_sbindir}/ndiswrapper
%{_sbindir}/ndiswrapper-buginfo

%changelog
* Sat Oct 24 2009 Christian Metzen <metzench@ccux-linux.de> 1.55-2
- add necessary patch for kernel 2.6.31
* Sat Oct 24 2009 Christian Metzen <metzench@ccux-linux.de> 1.55-1
- Version update
* Sat Oct 24 2009 Christian Metzen <metzench@ccux-linux.de> 1.54-1
- Initial CCux package release
